Subject: [Anima] [Technical Errata Reported] RFC8366 (6646)

From: RFC Errata System <[email-masked]>
Date: Wed, 21 Jul 2021 20:39:29 -0700 (PDT)

The following errata report has been submitted for RFC8366,
"A Voucher Artifact for Bootstrapping Protocols".

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid6646

--------------------------------------
Type: Technical
Reported by: Aman Mangal <[email-masked]>

Section: 5.2

Original Text
-------------
   {
     "ietf-voucher:voucher": {
       "created-on": "2016-10-07T19:31:42Z",
       "expires-on": "2016-10-21T19:31:42Z",
       "assertion": "verified",
       "serial-number": "JADA123456789",
       "idevid-issuer": "base64encodedvalue==",
       "pinned-domain-cert": "base64encodedvalue==",
       "domain-cert-revocation-checks": "true",
       "last-renewal-date": "2017-10-07T19:31:42Z"
     }
   }

Corrected Text
--------------
   {
     "ietf-voucher:voucher": {
       "created-on": "2016-10-07T19:31:42Z",
       "expires-on": "2016-10-21T19:31:42Z",
       "assertion": "verified",
       "serial-number": "JADA123456789",
       "idevid-issuer": "base64encodedvalue==",
       "pinned-domain-cert": "base64encodedvalue==",
       "domain-cert-revocation-checks": true,
       "last-renewal-date": "2017-10-07T19:31:42Z"
     }
   }

Notes
-----
domain-cert-revocation-checks is defined as boolean in the YANG specification in section 5.3 of the same RFC 8366. Boolean value in JSON are represented using true/false without the quotes.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC8366 (draft-ietf-anima-voucher-07)
--------------------------------------
Title               : A Voucher Artifact for Bootstrapping Protocols
Publication Date    : May 2018
Author(s)           : K. Watsen, M. Richardson, M. Pritikin, T. Eckert
Category            : PROPOSED STANDARD
Source              : Autonomic Networking Integrated Model and Approach
Area                : Operations and Management
Stream              : IETF
Verifying Party     : IESG

---

From: Michael Richardson <[email-masked]>
Date: Thu, 22 Jul 2021 22:43:33 -0400

RFC Errata System <[email-masked]> wrote:
    > Type: Technical Reported by: Aman Mangal <[email-masked]>

    > Original Text
    > -------------
    >    { "ietf-voucher:voucher": { "created-on": "2016-10-07T19:31:42Z",
    > "expires-on": "2016-10-21T19:31:42Z", "assertion": "verified",
    > "serial-number": "JADA123456789", "idevid-issuer":
    > "base64encodedvalue==", "pinned-domain-cert": "base64encodedvalue==",
    > "domain-cert-revocation-checks": "true", "last-renewal-date":
    > "2017-10-07T19:31:42Z" } }

    > Corrected Text
    > --------------
    >    { "ietf-voucher:voucher": { "created-on": "2016-10-07T19:31:42Z",
    > "expires-on": "2016-10-21T19:31:42Z", "assertion": "verified",
    > "serial-number": "JADA123456789", "idevid-issuer":
    > "base64encodedvalue==", "pinned-domain-cert": "base64encodedvalue==",
    > "domain-cert-revocation-checks": true, "last-renewal-date":
    > "2017-10-07T19:31:42Z" } }

I believe that this is correct, and should be "Hold for Update", which we may
actually be about to do.

--
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-